Subject: bug#25005: 25.1; Support disabling bracketed paste mode.

From: Philipp Stephani <[email-masked]>
Date: Sun, 27 Nov 2016 20:42:01 +0000

Eli Zaretskii <[email-masked]> schrieb am Do., 24. Nov. 2016 um 04:38 Uhr:

> > From: Clément Pit--Claudel <[email-masked]>
> > Date: Wed, 23 Nov 2016 22:08:02 -0500
> >
> > On 2016-11-23 19:27, Jay Lee wrote:
> > > If I start from emacs -q, It works well.
> > > I checked again yesterday, I found reason about this issue.
> > >
> > > (global-set-key (kbd "M-[") 'previous-multiframe-window) this
> keybindings affect this issue.
> > > after removing this configuration, It works well. Not added “200~201~”
> I don't understand why is this reason. I think It is just keybinding.
> > >
> > > So in this case, is my emacs bracketed paste mode disabled? if so I
> want to know why bracketed paste mode is disabled. I just remove
> configuration for keybinding.
> > > And is there way to turn off bracketed paste mode officially?
> >
> > Stefan responded to your question on stackexchange, and explained why
> this keybinding was causing issues.
>
> It would be useful to have those explanations here.
>
>
>
>
Copied from SE:

"My crystal ball said you should remove

(global-set-key (kbd "M-[") 'previous-multiframe-window)

from your ~/.emacs. You might like to M-x report-emacs-bug and ask for
global-set-key to complain when the key sequence conflicts with something in
 input-decode-map (as is the case here, because the byte sequence ESC [ (which
corresponds to the M-[ event) is used by text terminal as a prefix for
encoding all kinds of special events)."